:root {
  --bg: #f1f1f1;
  --card: #ffffff;
  --border: #e0e0e0;
  --text: #7b6d63;
  --muted: #666;
  --brand: #d10a35;
  --pj-rojo: #d10a35;
  --pj-cafe: #7b6d63;
  --pj-cafe-trasnparent: rgba(122, 108, 99, 0.9);
  --bg-1: #f4f4f4;
  --bg-2: #f8f5f2;
  --texto-lineheight: 1.6;
}
body{
  font-family: var(--font-base);
  background: var(--bg-2);
  color: var(--texto-color);
  line-height: var(--texto-lineheight);
}
.head{
  width: 100%;
  background: #fff;
}
.logotype{
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 300ms ease;
  background: #fff;
  height: 250px;
}

h2{
  font-size: 48px;
  font-weight: 600;
  color: var(--brand)
}
p{
  color: #313437;
}

.btn_rosa{
  padding: 8px;
  color: #fff;
  background: #be6a82;
  border: 1px solid #ec99b0;
  border-radius: 8px;
  text-decoration: none;
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
}

.btn_rosa:hover{
  background: #cb728c;
  border: 1px solid #ec99b0;
  cursor: pointer;
}

.body_page{
  width: 100%;
  height: auto;
  margin-top: -35px;
  background: #fff;
}

.row{
  margin-bottom: 25px;
}

/*-----------------------------------------  menu  --------------------------------------*/

.nav{
  height: 75px;
}

.menu{
  z-index: 100;
  border-radius: 8px;
  transition: 0.4s;
}

.navbar{
  background: var(--brand) !important;
  box-shadow: 0 4px 15px rgb(0,0,0,0.4);
  text-align: center;
  align-items: center;
}


.nav-item > .nav-link{
  color: #fff !important;
}



.dropdown-item:focus,
.dropdown-item:active,
.nav-link {
    outline: none; /* Elimina el contorno */
    box-shadow: none; /* Elimina cualquier sombra */
    border: none; /* Asegura que no haya borde */
}

#navbar-brand{
  display: none;
}

.social{
  display: flex;
  flex-direction:row;
  justify-content: space-evenly;
  gap: 10px;
}

.social i{
  color: #fff !important;
}
.social i:hover{
  color: #6f6ca1 !important;
}
/*-----------------------------------------  banner  --------------------------------------*/

.slider{
  margin-top: -35px;
}

.carousel-item{
  height: calc(100vh - 220px);
}

.carousel-item img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
} 

.carousel-item::after{
  display: block;
  width: 100%;
  height: 100%;
  content: "";
  background: rgba(0, 0, 0, 0.411);
  position: fixed;
  top: 0;
}


/*--------------------------------------- Animación Slider ----------------------------------------------*/

.text-box{
  z-index: 1;
  position: relative;
  height: calc(100vh - 220px);
  display: flex;
  align-items: end;
  padding-bottom: 60px;
}

/* Caja de título, subtítulo, y botón */
.title-box, .subtitle-box, .button-box {
  background-color: rgba(255, 255, 255, 0.9);
  padding: 15px 30px;
  margin: 10px 0;
  width: auto;
  display: inline-flex; 
  max-width: 500px;
  justify-content: center;
}
.title-box, .subtitle-box, .button-box h2{
  color: var(--brand);
}

.message{
  color: #fff;
  font-size: 24px;
  font-weight: 400;
  max-width: 800px;
}

.title{
  text-align: center;
  margin-bottom: 40px;
}

.subtitle{
  font-size: 18px;
  max-width: 680px;
  margin: auto;
  color: #717171;
}

.separator{
  height: 140px;
  width: 100%;
}

.separator-inside{
  height: 40px;
  width: 100%;
}

.img-info{
  box-sizing: content-box;
  height: 100%;
  position: absolute !important;
}
.img-info img{
  border-radius: 12px;
  object-fit: cover;
  object-position: center;
}

/*--------------------------------------------- numeral ---------------------------------------------*/

.numeral{
  width: 100%;
  height: auto;
  padding: 60px 0 50px 0;
  background: #d87b96;
}

.numeral div div{
  text-align: center;
  color: #fff;
}
.numeral div div h1{
  font-size: 44px; 
  font-weight: 800;
  margin-bottom: -5px;
}
.numeral div div span{
  margin-top: -10px;
}

.counter {
  animation: count 2s ease-in-out forwards;
}

/*--------------------------------------------- Personnel ---------------------------------------------*/

.name_personnel_box{
  color: #313437;
  
}

.post_personnel_box{
  color:#6f6ca1;
  font-weight: 600;
}


/*--------------------------------------------- Footer ---------------------------------------------*/

.footer{
  width: 100%;
  background: var(--brand);
  height: auto;
  padding: 100px 0 60px 0;
  color: #fff;
  line-height: 1.8rem;
  border-top: 2px solid #cd748e;
}

.footer ul{
  list-style: none;
}

.footer a{
  color: #fff;
  text-decoration: none;
}

.footer a:hover{
  color: #ffcddc;
  text-decoration: none;
}

.footer p{
  color: #fff;
}

/*--------------------------------------------- Galería ---------------------------------------------*/
/* Animaciones de aparición */
@keyframes fadeInDown {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Clases de animación */
.animated {
  animation-duration: 1s;
  animation-fill-mode: both;
}

.fadeInDown {
  animation-name: fadeInDown;
}

.delay-1s {
  animation-delay: 0.5s;
}

.delay-2s {
  animation-delay: 1s;
}


#logo {
  animation-duration: 0.8s;
  animation-name: slidein;
}

@keyframes slidein {
  from {
    margin-bottom: -100%;
    width: 0px;
  }
  to {
    margin-bottom: 0;
    width: 300px;
  }
}

.photo-gallery {
  color:#313437;
  background-color:#fff;
}

.photo-gallery p {
  color:#7d8285;
}

.photo-gallery{
  font-weight:bold;
  margin-bottom:40px;
  padding-top:40px;
  color:inherit;
}

@media (max-width:767px) {
  .photo-gallery {
    margin-bottom:25px;
    padding-top:25px;
    font-size:24px;
  }
}

.photo-gallery .intro {
  font-size:16px;
  max-width:500px;
  margin:0 auto 40px;
}

.photo-gallery .intro p {
  margin-bottom:0;
}

.photo-gallery .photos {
  padding-bottom:20px;
}

.photo-gallery .item {
  padding-bottom:30px;
}


/*--------------------------------------------- Estructura de personal ---------------------------------------------*/

.personnel{
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: auto;
  padding: 30px;
  background: #f1f1f1;
  border-radius: 10px;
  margin: 20px 0 20px 0;
  transition: 0.3s;
}

.personnel:hover{
  background: #f5f5f5;
  scale: 1.01;
  box-shadow: 0 2px 8px rgb(0,0,0,0.2);
}

.foto_personnel_box{
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
  border: 2px solid #fff;
  transition: 0.5s;
  box-shadow: var(--shadow);
}
.foto_personnel_box_group{
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
  border: 2px solid #fff;
  transition: 0.5s;
  box-shadow: var(--shadow);
}
.personnel_structure img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*----------------------------------- Estructura de tablas de normatividad --------------------------------------*/

.thPeriodo{
  width: 150px;
}
.tdDocSec{
  text-align: center;
}
#divTablasInfo{
  overflow-x: auto;
}
.btnDocumento{
  background-color: #B00016;
  color: #FFF;
}
a:hover {
  color: #8f8f8f;
}
.dataTableDocumentos tbody tr td {
  font-size: 18px;
  vertical-align: middle;
}

/*------------------------------------------------------ Comunicados ------------------------------------------------------*/



.release{
  display: grid;
  gap: 15px;
  grid-auto-rows: auto;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
}

.release-content{
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: space-between;
  text-align: justify;
  transition: 0.6s;
  box-shadow: 0 4px 8px rgb(0,0,0,0.1);
  border-radius: 8px;
  background: #fff;
}
.release-content:hover{
  cursor: pointer;
  box-shadow: 0 4px 15px rgb(0,0,0,0.4);
  transform: scale(1.02, 1.03);
}

.release-img{
  position: relative;
  width: 100%;
  height: 200px;
  border-radius: 8px;
  overflow: hidden;
  transition: 0.5s;
  box-shadow: var(--shadow);
}
.release-img img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.release-head{
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.btn-enter{
  background-color: var(--brand);
  color: #fff;
  padding: 2px;
  border-radius: 8px;
  border: #981a22 1px solid;
  text-align: center;
  width: 80px;
  text-decoration: none;
  display: block;
}

.btn-enter:hover{
  background-color: #981a22;
  border: var(--brand) 1px solid;
  text-decoration: none;
  color: #fff;
}

/*----------------------------------- custom navbar toogle --------------------------------------*/

.custom-toggler .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
  /*background-color: white;*/
}

.custom-toggler.navbar-toggler {
  border-color: rgba(255,255,255,1);
} 

#footerLogo img {
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    width: 84px;
    background: var(--bg);
    border-radius: 50%;
    padding: 6px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}